Package org.h2gis.functions.spatial.properties

# Class ST_GeometryType

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_GeometryType

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_GeometryType extends org.h2gis.api.DeterministicScalarFunction
Return the type of geometry : ST_POINT, ST_LINESTRING, ST_POLYGON...

Author:
  Nicolas Fortin, Erwan Bocher, CNRS (2020)

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_GeometryType()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`static String`
`getGeometryType(org.locationtech.jts.geom.Geometry geometry)`
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_GeometryType

public ST_GeometryType()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getGeometryType

public static String getGeometryType(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` - Geometry instance
Returns:
  Geometry type for a user-defined type defined in SQL/MM specification. SQL-MM 3: 5.1.4